Bug 480804 - Console freezes after changing "override validity nesting requirement" setting
Console freezes after changing "override validity nesting requirement" setting
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
1.0
i686 Linux
high Severity low
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-01-20 12:07 EST by David Stutzman
Modified: 2015-01-04 18:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (1.57 KB, patch)
2009-02-25 14:34 EST, Andrew Wnuk
no flags Details | Diff

  None (edit)
Description David Stutzman 2009-01-20 12:07:18 EST
Version-Release number of selected component (if applicable):
pki-console-1.0.0-9.fc8
pki-console-ui-1.0.0-1.fc8
idm-console-framework-1.1.2-1.fc8

Steps to Reproduce:
1. Open the console, highlight certificate manager in the tree on left
2. Check or uncheck (happens in either case) the "Override validity nesting requirement" checkbox
3. Click save
  
Actual results:
The console is no longer usable and doesn't respond to any input nor can you close it by clicking the close button of the window.

Additional info:
The setting is actually saved and as far as I can tell you can kill the console and start it up again with no ill side-effects.
Comment 1 Andrew Wnuk 2009-02-25 14:34:45 EST
Created attachment 333209 [details]
proposed fix
Comment 2 Matthew Harmsen 2009-02-25 14:38:05 EST
attachment (id=333209) +mharmsen
Comment 3 Andrew Wnuk 2009-02-25 14:41:31 EST
svn commit pki/dogtag/common/pki-common.spec                     
Sending        pki-common.spec
Transmitting file data .
Committed revision 245.

svn commit pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
Sending        CAAdminServlet.java
Transmitting file data .
Committed revision 246.
Comment 4 Jenny Galipeau 2009-06-05 15:28:36 EDT
Verified:

Can check and save and uncheck and save without freezing console.

Note You need to log in before you can comment on or make changes to this bug.